HEAD(1)

NAZWA
head - wypisz początkową część plików

SKŁADNIA

head
    [-c N[bkm]] [-n N] [-qv] [--bytes=N[bkm]]
    [--lines=N] [--quiet] [--silent] [--verbose] [--help] [--version] [plik...]

head
    [-Nbcklmqv] [plik...]

OPIS
Dokumentacja niniejsza nie jest już utrzymywana i może być niedokładna lub niekompletna. Autorytatywnym źródłem jest obecnie dokumentacja Texinfo. Dostęp do niej uzyskasz wpisując w wierszu poleceń:
    pinfo head
lub
    info head.

Ta strona podręcznika opisuje polecenie head w wersji GNU.

head wypisuje początkową część (domyślnie 10 linii) każdego podanego pliku; czyta ze standardowego wejścia jeśli nie podano plików, albo jeśli napotkano nazwę pliku '-'. Jeśli podano więcej niż jedną nazwę pliku, wypisuje także jednolinijkowy nagłówek składający się z nazwy pliku otoczonej `==>' i `<==', przed wypisaniem początku każdego z plików.

  OPCJE
head akceptuje dwa formaty opcji: nowy, w którym liczby są argumentami opcji literowych (`-q -n 1'), i stary, w którym liczby poprzedzają jakiekolwiek opcje literowe (`-1q').

-Nopcje
    Opcja taka jest rozpoznawana tylko jeśli jest podana jako pierwsza. N jest liczbą dziesiętną, po której opcjonalnie występuje litera rozmiaru (`b', `k', `m') jak w opcji `-c', lub litera `l' oznaczająca zliczanie linii, albo inne litery opcji (`cqv').

-c N, --bytes=N
    Wypisuje pierwsze N bajtów. N to liczba naturalna, po której opcjonalnie następuje jeden z poniższych znaków określający inną jednostkę.

    b   bloki 512-bajtowe.

    k   bloki kilobajtowe.

    m   bloki megabajtowe.

-l, -n N, --lines=N
    Wypisuje pierwsze N linii. Opcja -l jest rozpoznawana tylko z użyciem starego formatu opcji.

-q, --quiet, --silent
    Nigdy nie wypisuje nagłówków z nazwami plików.

-v, --verbose
    Zawsze wypisuje nagłówki z nazwami plików.

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy pracę.

--version
    Wyświetla numer wersji programu i kończy pracę.

ZGŁASZANIE BŁĘDÓW
Błędy proszę zgłaszać, w jęz. ang., do <bug-textutils@gnu.org>.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

ZOBACZ TAKŻE
tail(1), textutils(1).

OD TŁUMACZA
Zaktualizowano i poszerzono wg dokumentacji Texinfo dla narzędzi tekstowych GNU wersji 2.0.